/**
 * connection.js
 *
 * Set up the connection for your remote data source.
 * You must set either "url" or "toUrl".
 * Use "url" if the url is static or can be generated by substituting context vars.
 * Use "toUrl" if you need to dynamically create the url based on subjects and aspects.
 *
 * DO NOT modify the function signature.
 * DO NOT import or require any other modules.
 * DO NOT modify the module.exports (for testing).
 */

module.exports = {

  /**
   * Url (optional)
   *
   * Specify a url string to use for collection.
   * You can use context variables with {{var}}.
   */
  url: 'https://www.example.com?expression=-15m:subjects:all:tests:all',

  /**
   * Headers (optional)
   *
   * Specify the HTTP headers to include in the request.
   * You can use context variables with {{var}}.
   */
  headers: {
    Accept: 'application/json',
  },

};
